from OpenGL.GL import *
from OpenGL.GLU import *
from OpenGL.GLUT import *


#this is a static class (static methods only)
class Text(object):
    
    def add_text(string, height = 40):
        Text.on_ortho(1000, 1000)
        
        glColor3f(1,1,1)
        Text.add_text_string(20,height, GLUT_BITMAP_HELVETICA_12, string); 
        
        Text.off_ortho()
        
        
    add_text = staticmethod(add_text)
    
    
    
    def add_text_string(x, y, font, displaystring, spacing = 5):
  
        x1 = x;
  
        for character in displaystring:
            glRasterPos3f(x1,y,1);
            glutBitmapCharacter(font, ord(character));
            x1 = x1 + glutBitmapWidth(font,ord(character)) + spacing;


    add_text_string = staticmethod(add_text_string)

    
        
        
    def on_ortho(x,y):
    
        glMatrixMode(GL_PROJECTION);
    
        glPushMatrix();
    
        glLoadIdentity();
    
        gluOrtho2D(0, x, 0, y);
    
        glMatrixMode(GL_MODELVIEW);
    
        glPushMatrix();
    
        glLoadIdentity();

    on_ortho = staticmethod(on_ortho)


    def off_ortho():
        glMatrixMode(GL_PROJECTION);
    
        glPopMatrix();
        glMatrixMode(GL_MODELVIEW);
    
        glPopMatrix();   
    
    off_ortho = staticmethod(off_ortho)
    
    