from math import *


from keyboard import *

DEG2RAD = pi / 180












class Camera:
    
    
    def __init__(self):
        self.x = 0
        self.y = 0
        self.z = 1
        self.range = 300
        self.elevationangle = 30;
        self.azimuthangle = 10;
        self.updatexyz()
        
        Keyboard.attach_key_listener("left", self.pan_left)
        Keyboard.attach_key_listener("right", self.pan_right)
        Keyboard.attach_key_listener("up", self.raise_camera)
        Keyboard.attach_key_listener("down", self.lower_camera)

    def getx(self):
        return self.x
    
    def gety(self):
        return self.y
    
    def getz(self):
        return self.z
    
    def setrange(self, range):
        
        
        if self.range != range:
            self.range = range
            self.updatexyz()
            
        
            
    def updatexyz(self):
        
        
        self.x = self.range * cos(DEG2RAD * self.azimuthangle) * cos(DEG2RAD * self.elevationangle)
        self.z = self.range * -sin(DEG2RAD * self.azimuthangle) * cos(DEG2RAD * self.elevationangle)
        self.y = self.range * sin(DEG2RAD * self.elevationangle)
        
        
    def setazimuth(self, azimuth):
        if azimuth > 360 or azimuth < 0:
            print "Invalid Camera"
            sys.exit(1)
        
        if self.azimuthangle != azimuth:
            self.azimuthangle = azimuth
            self.updatexyz()
        
    def setelevation(self, elevation):
        if elevation > 90 or elevation < -90:
            print "Invalid Camera"
            sys.exit(1)
        
        if self.elevationangle != elevation:
        
            self.elevationangle = elevation
            self.updatexyz()
        
    def adjustelevation(self, elevation):
        
        self.elevationangle +=elevation
        if self.elevationangle > 85:
            self.elevationangle =85;
            
        if self.elevationangle < -85:
            self.elevationangle = -85;
            
        self.updatexyz()

    def adjustazimuth(self, azimuth):
        if abs(azimuth) > 359:
            print "Invalid Camera"
            sys.exit(1)
        
        self.azimuthangle += azimuth
        
        if self.azimuthangle >= 360:
            self.azimuthangle -= 360;
            
        if self.azimuthangle < 0:
            self.azimuthangle += 360;
            
        self.updatexyz()
        
        
        
    def pan_left(self):
        self.adjustazimuth(-15)
        
    def pan_right(self):
        self.adjustazimuth(15)
        
        
    def raise_camera(self):
        self.adjustelevation(5)
        
    def lower_camera(self):
        self.adjustelevation(-5)
    #def setup(self):
        
        
        
        