from OpenGL.GL import *
from OpenGL.GLU import *
from OpenGL.GLUT import *

from math import *

import sys



from keyboard import Keyboard







class GlutMachine(object):
    
    def __init__(self):
        pass
        
        
    def glut_init(self):
        glutInit(sys.argv);
        glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB);
        
        
    def display_init(self):
        
        glutDisplayFunc(self.glut_application.display)
        glutIdleFunc(self.glut_application.display)
        glutMainLoop()
        
        
        
        
    def set_app(self, glut_application):
        self.glut_application = glut_application
        
        
        
    #preconditions: the application (self.glut_application) has been set
    #postconditions: the application is running
    def run(self):
        global glut_keyboard
        
        if self.glut_application == None:
            raise ApplicationNotSetError
        
        self.glut_init()
        
        self.glut_application.window_init()
        
        Keyboard.keyboard_init()
        
        self.glut_application.app_init()
        
        self.display_init()



class ApplicationNotSetError(Exception):
    
    def __str__(self):
        return "No application has been set in the GlutMachine, and thus the GlutMachine has nothing to run"


